TRELLIS.2 LoRA Inference
整合
模型 id
trellis-2-lora
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/trellis-2-lora?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/trellis-2-lora?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/trellis-2-lora", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh-TW/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "trellis-2-lora",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
透過 Doitong API 呼叫 TRELLIS.2 LoRA Inference 模型(trellis-2-lora)。代理程式文件:https://doitong.com/zh-TW/developers/models/trellis-2-lora.md
POST https://api.doitong.com/v1/run/trellis-2-lora?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
如果回應狀態為 "queued" 或 "running",請輪詢 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20,直到狀態變為 "succeeded";檔案位於 outputs[].url。使用相同主體傳送 POST https://api.doitong.com/v1/quote/trellis-2-lora,可在執行前取得確切價格。
此請求: $0.25 250 API 點數 在此頁面執行
您的新 API 金鑰。 僅會在此時顯示,且已填入下方的程式碼與 API 金鑰欄位。請妥善保密:切勿將其放入在瀏覽器中執行的程式碼。
建立請求
控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。
POST
/run/trellis-2-lora?wait=20
報價 → $0.25
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/trellis-2-lora?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/trellis-2-lora?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/trellis-2-lora", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "trellis-2-lora",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
關於 TRELLIS.2 LoRA Inference
從 `image_url` 生成 GLB,並可選擇透過 `sparse_structure_lora_url`、`geometry_lora_url` 和 `texture_lora_url` 套用 safetensors LoRA。`resolution` 可為 512 或 1024,且必須符合適配器的訓練解析度。也提供各階段的引導與步數控制、`decimation_target` 和 `texture_size`。
參數
請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱
名稱類型
預設值允許值
說明
image_url必填
image
類型url · image
用於轉換為 3D 模型的來源圖像 URL。
sparse_structure_lora_url選填
類型string | null
選用的 safetensors 格式 LoRA checkpoint,專為稀疏結構降噪器訓練。
geometry_lora_url選填
類型string | null
選用的 safetensors 格式 LoRA checkpoint,專為幾何降噪器訓練。
texture_lora_url選填
類型string | null
選用的 safetensors 格式 LoRA checkpoint,專為紋理降噪器訓練。
seed選填
類型integer | null
使生成結果可重現的隨機種子。
resolution選填
類型enum
預設值512
5121024
生成解析度;1024 會選擇 cascade 管線。請選擇用於訓練所提供 LoRA adapter 的解析度,兩者必須相符。
ss_guidance_strength選填
類型number
預設值7.5
0 – 10
稀疏結構生成期間的無分類器指引強度。
ss_guidance_rescale選填
類型number
預設值0.7
0 – 1
稀疏結構生成期間的指引重新縮放。較大值會讓輸出更穩定。
ss_guidance_interval_start選填
類型number
預設值0.6
0 – 1
開始稀疏結構指引時的降噪進度比例。
ss_guidance_interval_end選填
類型number
預設值1
0 – 1
使用大於或等於 `ss_guidance_interval_start` 的降噪比例,指定稀疏結構指引停止的時間。
ss_sampling_steps選填
類型integer
預設值12
1 – 50
稀疏結構生成期間使用的降噪步驟數。
ss_rescale_t選填
類型number
預設值5
1 – 6
稀疏結構生成期間雜訊排程的銳度。
shape_slat_guidance_strength選填
類型number
預設值7.5
0 – 10
形狀生成期間的無分類器指引強度。
shape_slat_guidance_rescale選填
類型number
預設值0.5
0 – 1
形狀生成期間套用於指引的重新縮放;幾何形狀出現雜訊時請提高此值。
shape_slat_guidance_interval_start選填
類型number
預設值0.6
0 – 1
開始形狀階段指引時的降噪比例。
shape_slat_guidance_interval_end選填
類型number
預設值1
0 – 1
形狀階段指引的停止點,以不小於 shape_slat_guidance_interval_start 的降噪比例表示。
shape_slat_sampling_steps選填
類型integer
預設值12
1 – 50
形狀生成期間的降噪步驟數。
shape_slat_rescale_t選填
類型number
預設值3
1 – 6
形狀生成期間雜訊排程的銳度。
tex_slat_guidance_strength選填
類型number
預設值1
0 – 10
紋理生成期間的無分類器指引強度。
tex_slat_guidance_rescale選填
類型number
預設值0
0 – 1
紋理生成期間套用於指引的重新縮放;紋理出現雜訊時請提高此值。
tex_slat_guidance_interval_start選填
類型number
預設值0.6
0 – 1
開始紋理階段指引時的降噪比例。
tex_slat_guidance_interval_end選填
類型number
預設值0.9
0 – 1
紋理階段指引的停止點,以不小於 tex_slat_guidance_interval_start 的降噪比例表示。
tex_slat_sampling_steps選填
類型integer
預設值12
1 – 50
紋理生成期間的降噪步驟數。
tex_slat_rescale_t選填
類型number
預設值3
1 – 6
紋理生成期間雜訊排程的銳度。
decimation_target選填
類型integer
預設值500000
5,000 – 2,000,000
GLB 匯出中所需的頂點數。
texture_size選填
類型enum
預設值2048
102420484096
烘焙至 GLB 匯出的紋理解析度。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填
標準名稱,也可使用
檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案
輸出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "trellis-2-lora",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 250,
"usd": "0.25",
"charged": 250,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"model_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"seed": 42,
"resolution": 1,
"sparse_structure_lora_url": "string",
"geometry_lora_url": "string",
"texture_lora_url": "string",
"decimation_target": 1,
"texture_size": 1
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
- model_glb
- object {url, content_type, file_name, file_size}包含生成 3D 模型的 GLB 檔案。
- seed
- integer生成期間套用的種子。
- resolution
- integer執行生成時使用的解析度。
- sparse_structure_lora_url
- string | null生成期間使用的稀疏結構 LoRA checkpoint(若有套用)。
- geometry_lora_url
- string | null生成期間使用的幾何 LoRA checkpoint(若有套用)。
- texture_lora_url
- string | null生成期間使用的紋理 LoRA checkpoint(若有套用)。
- decimation_target
- integer套用於 GLB 匯出的頂點數目目標。
- texture_size
- integer烘焙至 GLB 匯出的紋理解析度。
更多模型:圖像轉 3D
給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/trellis-2-lora.md. 所有模型與指南: https://doitong.com/developers/llms.txt